사용자

사용자 이름으로 사용자 조회

GET /v1/users/{screen_name} reads 1 크레딧

계정 하나의 프로필을 지금 X에서 읽습니다.

응답

프로필. 필드별 설명: Profile (읽기).

상태: 200, 404, 429, 502

요청
curl https://api.xsignalfeed.com/v1/users/elonmusk \
  -H "Authorization: Bearer xsf_your_key"
응답 · 200 / 404
{
  "user": {
    "id": "44196397",
    "name": "Elon Musk",
    "screen_name": "elonmusk",
    "bio": "…",
    "location": "",
    "url": null,
    "avatar": "https://pbs.twimg.com/profile_images/…",
    "banner": "https://pbs.twimg.com/profile_banners/…",
    "pinned": "2097000000000000000",
    "verified": true,
    "protected": false,
    "followers": 241660283,
    "following": 1200,
    "tweets": 84213
  }
}